# Scanner

## POST /scanner/compare-results

> Compare two scanner results by their jsmon IDs

```json
{"openapi":"3.0.0","info":{"title":"JSMON API","version":"1.0.0"},"servers":[{"url":"https://api-dev.jsmon.sh","description":"Development Server (For internal testing)"},{"url":"https://api.jsmon.sh","description":"Production Server (Stable release)"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{},"requestBodies":{"postScannerCompareResults":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["id1","id2"],"properties":{"id1":{"type":"string","description":"First jsmon ID"},"id2":{"type":"string","description":"Second jsmon ID"}}}}}}}},"paths":{"/scanner/compare-results":{"post":{"summary":"Compare two scanner results by their jsmon IDs","tags":["Scanner"],"parameters":[{"in":"query","name":"wkspId","schema":{"type":"string"},"required":true,"description":"Workspace ID of the user"}],"requestBody":{"$ref":"#/components/requestBodies/postScannerCompareResults"},"responses":{"200":{"description":"Differences between detected words in the two scanner results","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"},"differences":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"removed":{"type":"array","items":{"type":"string"}},"added":{"type":"array","items":{"type":"string"}}}}}}}}}},"400":{"description":"Invalid jsmon IDs","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}}}}}},"403":{"description":"Access denied to workspace","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}}}}}},"404":{"description":"Validation failed","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"object"}}}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}}}}}}}}}}}
```
